Package org.h2.test.utils

# Class RandomDataUtils

java.lang.Object
org.h2.test.utils.RandomDataUtils

public final class RandomDataUtils extends Object
Utilities for random data generation.

## Method Summary

Modifier and Type
Method
Description
`static void`
`randomChars(Random r, char[] chars)`
Fills the specified character array with random printable code points from the limited set of Unicode code points with different length in UTF-8 representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### randomChars

public static void randomChars(Random r, char[] chars)
Fills the specified character array with random printable code points from the limited set of Unicode code points with different length in UTF-8 representation.

Debuggers can have performance problems on some systems when displayed values have characters from many different blocks, because too many large separate fonts with different sets of glyphs can be needed.

Parameters:
  `r` - the source of random data
  `chars` - the character array to fill